
Infrastructure - Task #3746

Story # 3729 (Closed): Member Nodes should be the authoritative source of System Metadata

Add CNCore.systemMetadataChanged() call

2013-05-07 17:10 - Chris Jones

Status: Rejected Start date: 2015-06-09

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version:    

Description

Since Member Nodes will be the authoritative source of system metadata, they need to always keep the Coordinating Nodes

apprised of changes to system metadata.  Add CNcore.systemMetadataChanged() to the CN APIs, and update the operations

documentation such that MNs are aware that all changes to system metadata (manually or programatically) should call this new

method.

This change will affect the following components

d1_common_java

d1_common_python

d1_libclient_java

d1_libclient_python

d1_cn_rest

d1_cn_rest_proxy

d1_synchronization ?

Metacat CNodeService

Subtasks:

Task # 7175: update operations documentation Closed

History

#1 - 2014-10-01 16:45 - Robert Waltz

- Target version set to CCI-2.0.0

#2 - 2015-06-09 22:51 - Rob Nahf

because the notification links into the synchronization queues, we're implementing CN.synchronize instead.

#3 - 2015-06-12 16:21 - Rob Nahf

- Status changed from New to Rejected
